Bug 167945 - CAN-2005-2871 Thunderbird buffer overflow
CAN-2005-2871 Thunderbird buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
impact=moderate,reported=20050909,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 14:52 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.7-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-09 06:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-09 14:52:48 EDT
+++ This bug was initially created as a clone of Bug #167944 +++

A specially crafted hostname which contains lots of dashes can trigger a buffer
overflow.

http://marc.theaimsgroup.com/?l=full-disclosure&m=112624614008387&w=2
https://bugzilla.mozilla.org/show_bug.cgi?id=307259

IDN is disabled by default in Thunderbird, therefore this issue is being
assigned a severity of "moderate"
Comment 1 Josh Bressers 2005-09-09 14:53:29 EDT
This issue also affects FC3
Comment 2 Gerwin Krist 2005-09-26 13:56:26 EDT
Thank you for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.

Fixed for both fc3 & fc4
Comment 3 Fedora Update System 2005-09-30 19:54:44 EDT
From User-Agent: XML-RPC

thunderbird-1.0.7-1.1.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.